using System;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Configuration;
using ToolSystem;


namespace Tool_Management.Pages
{
    public class NewToolModel : PageModel
    {
        readonly IConfiguration _configuration;

        public string connectionString;

        public NewToolModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }
        public void OnGet()
        {
        }

        public void OnPost()
        {
            Tool tool = new Tool();

            tool.ToolName = Request.Form["ToolName"];
            tool.ToolTag = Request.Form["ToolTag"];
            tool.ToolDescription = Request.Form["ToolDescription"];

            connectionString = _configuration.GetConnectionString("ConnectionString");

            tool.NewTool(connectionString, tool);

            Response.Redirect("./ToolList");
        }
    }
}
