IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'BorrowTool' 
	   AND 	  type = 'P')
	DROP PROCEDURE BorrowTool
GO

CREATE PROCEDURE BorrowTool
@PersonTag varchar(100),
@ToolTag varchar(100)
AS

DECLARE
@PersonId int

SELECT @PersonId = PersonId FROM PERSON WHERE PersonTag = @PersonTag


UPDATE TOOL SET
ToolInUse = 1,
PersonId = @PersonId,
RentDate = getdate()
WHERE ToolTag = @ToolTag

GO