IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'BorrowToolById' 
	   AND 	  type = 'P')
	DROP PROCEDURE BorrowToolById
GO

CREATE PROCEDURE BorrowToolById
@PersonId int,
@ToolId int
AS


UPDATE TOOL SET
ToolInUse = 1,
PersonId = @PersonId,
RentDate = getdate()
WHERE ToolId = @ToolId

GO