﻿using System;
using System.Data;
using Microsoft.AspNetCore.Identity;
using System.Data.SqlClient;

namespace ToolSystem
{
    public class Login
    {
        public int PersonId { get; set; }
        public string PersonName { get; set; }
        public string PersonTag { get; set; }
        public string EMail { get; set; }
        public string Password { get; set; }


        public bool CheckPassword(string connectionString, string userName, string password)
        {
            string passwordDB = null;

            bool loggedIn = false;

            SqlConnection con = new SqlConnection(connectionString);

            string selectSQL = "select Password from PERSON where EMail='" + userName + "'";

            con.Open();

            SqlCommand cmd = new SqlCommand(selectSQL, con);

            SqlDataReader dr = cmd.ExecuteReader();

            if (dr != null)
            {
                while (dr.Read())
                {
                    passwordDB = dr["Password"].ToString();
                }
            }

            PasswordHasher<string> pw = new PasswordHasher<string>();

            var verificationResult = pw.VerifyHashedPassword(userName, passwordDB, password);

            if (verificationResult == PasswordVerificationResult.Success)
                loggedIn = true;
            else
                loggedIn = false;

            return loggedIn;
        }


        public int GetUserId(string connectionString, string userName)
        {
            int userId = 0;

            SqlConnection con = new SqlConnection(connectionString);

            string selectSQL = "select PersonId from PERSON where EMail='" + userName + "'";

            con.Open();

            SqlCommand cmd = new SqlCommand(selectSQL, con);

            SqlDataReader dr = cmd.ExecuteReader();

            if (dr != null)
            {
                while (dr.Read())
                {
                    userId = Convert.ToInt32(dr["PersonId"]);
                }
            }

            return userId;
        }


        public Login GetLoginUserData(string connectionString, int personId)
        {

            SqlConnection con = new SqlConnection(connectionString);

            string selectSQL = "select PersonId, PersonName, PersonTag, EMail  from PERSON where PersonId = " + personId;
            con.Open();

            SqlCommand cmd = new SqlCommand(selectSQL, con);

            SqlDataReader dr = cmd.ExecuteReader();

            Login loginuser = new Login();

            if (dr != null)
            {
                while (dr.Read())
                {
                    loginuser.PersonId = Convert.ToInt32(dr["PersonId"]);
                    loginuser.PersonName = dr["PersonName"].ToString();
                    loginuser.PersonTag = dr["PersonTag"].ToString();
                    loginuser.EMail = dr["EMail"].ToString();
                }
            }

            return loginuser;
        }


        public void UpdateLoginUser(string connectionString, Login loginuser)
        {
            try
            {
                using (SqlConnection con = new SqlConnection(connectionString))
                {
                    SqlCommand cmd = new SqlCommand("UpdateLoginUser", con); //The Stored Procedure has not been created yet!!!!
                    cmd.CommandType = CommandType.StoredProcedure;

                    cmd.Parameters.Add(new SqlParameter("@PersonId", loginuser.PersonId));
                    cmd.Parameters.Add(new SqlParameter("@PersonName", loginuser.PersonName));
                    cmd.Parameters.Add(new SqlParameter("@PersonTag", loginuser.PersonTag));
                    cmd.Parameters.Add(new SqlParameter("@EMail", loginuser.EMail));
                    cmd.Parameters.Add(new SqlParameter("@Password", loginuser.Password));

                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                }

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
    }
}
