using System;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Configuration;
using ToolSystem;

namespace Tool_Management.Pages
{
    public class DeleteToolModel : PageModel
    {
        readonly IConfiguration _configuration;

        public string connectionString;

        public int toolId;

        public DeleteToolModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            toolId = Convert.ToInt16(Request.Query["toolid"]);

            connectionString = _configuration.GetConnectionString("ConnectionString");

            Tool tool = new Tool();

            tool.DeleteTool(connectionString, toolId);

            Response.Redirect("./ToolList");
        }
    }
}
