IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'NewPerson' 
	   AND 	  type = 'P')
	DROP PROCEDURE NewPerson
GO

CREATE PROCEDURE NewPerson
@PersonName varchar(100),
@PersonTag varchar(100),
@EMail varchar(100),
@Password varchar(100)

AS

if not exists (select * from PERSON where PersonName = @PersonName)
	INSERT INTO PERSON (PersonName, PersonTag, EMail, [Password]) 
	VALUES (@PersonName, @PersonTag, @EMail, @Password)

GO